Bug 976845 - the iso repo sync section does not have a status command
the iso repo sync section does not have a status command
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
low Severity low
: ---
: 2.3.0
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 11:58 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-06-21 11:58:39 EDT
Description of problem: 
There is no status command in iso sync

[root@ibm-x3550m3-13 ~]# pulp-admin iso repo sync
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run, schedule, or view the status of sync tasks

Available Sections:
  schedules - manage repository sync schedules

Available Commands:
  run - triggers an immediate sync of a repository
[root@ibm-x3550m3-13 ~]# pulp-admin iso repo sync run
Command: run
Description: triggers an immediate sync of a repository

Available Arguments:

  --repo-id - (required) unique identifier; only alphanumeric, ., -, and _
              allowed
  --bg      - if specified, the CLI process will end but the process will
              continue on the server; the progress can be later displayed using
              the status command
The following options are required but were not specified:
  --repo-id
[root@ibm-x3550m3-13 ~]# 



Version-Release number of selected component (if applicable): pulp-builtins-admin-extensions-2.2.0-0.5.beta.fc18.noarch


How reproducible:


Steps to Reproduce:
1. Create and sync some iso repository
2. pulp-admin iso repo publish run --repo-id=your_repo_name --bg
3. pulp-admin iso repo publish status

Actual results: The command does not exist


Expected results: The status of the publish task is shown.


Additional info:

--- Additional comment from Michael Hrivnak on 2013-06-21 11:52:25 EDT ---

change the description, don't worry about adding a status command.
Comment 1 Sayli Karmarkar 2013-09-06 18:25:14 EDT
commit 1b8f8d5dcdccd4199d88b1b4671c68aef5cad379
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Fri Sep 6 15:19:39 2013 -0700

    976845 - updating descriptions for iso repo sync and publish commands as both don't support status sub-command

$ pulp-admin iso repo sync
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run or schedule sync tasks

Available Sections:
  schedules - manage repository sync schedules

Available Commands:
  run - triggers an immediate sync of a repository

$ pulp-admin iso repo publish
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run publish tasks

Available Commands:
  run - triggers an immediate publish of a repository
Comment 2 Jeff Ortel 2013-09-12 18:36:07 EDT
build: 2.3.0-0.10.alpha
Comment 3 Preethi Thomas 2013-09-19 14:07:33 EDT
verified

[root@pulp-v2-server ~]# rpm -qa pulp-admin-client
pulp-admin-client-2.3.0-0.14.alpha.el6.noarch
[root@pulp-v2-server ~]#  pulp-admin iso repo sync
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run or schedule sync tasks

Available Sections:
  schedules - manage repository sync schedules

Available Commands:
  run - triggers an immediate sync of a repository
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# 
[root@pulp-v2-server ~]# pulp-admin iso repo publish
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: run publish tasks

Available Commands:
  run - triggers an immediate publish of a repository
[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:31:55 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.